###################################################
### chunk number 1: 
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
library("lattice")
lattice.options(default.theme = canonical.theme(color = FALSE))
sl <- trellis.par.get("superpose.line")
sl$col[1] <- "#A9A9A9"  # set first color to dark grey
rl <- trellis.par.get("reference.line")
rl$lty <- 2
trellis.par.set(superpose.line=sl, reference.line=rl)
options(width=75, prompt="R> ")


###################################################
### chunk number 2: 
###################################################
#line 151 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
library("simPopulation")
data("eusilcS")
seed <- 1234


###################################################
### chunk number 3: 
###################################################
#line 223 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
#<<eval=FALSE>>=
eusilcMP <- simEUSILC(eusilcS, upper = 200000, equidist = FALSE, seed = seed)
eusilcTR <- simEUSILC(eusilcS, method = "twostep", seed = seed)
eusilcTN <- simEUSILC(eusilcS, method = "twostep", residuals = FALSE, 
    seed = seed)


###################################################
### chunk number 4: 
###################################################
#line 266 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
#<<eval=FALSE>>=
eusilcP <- simStructure(eusilcS, hid = "db030", w = "db090", 
    strata = "db040", additional = c("age", "rb090"))


###################################################
### chunk number 5: 
###################################################
#line 275 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
#<<eval=FALSE>>=
breaks <- c(min(eusilcS$age), seq(15, 80, 5), max(eusilcS$age))
eusilcS$ageCat <- as.character(cut(eusilcS$age, 
        breaks=breaks, include.lowest=TRUE))
eusilcP$ageCat <- as.character(cut(eusilcP$age, 
        breaks=breaks, include.lowest=TRUE))


###################################################
### chunk number 6: 
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
basic <- c("ageCat", "rb090", "hsize")
eusilcP <- simCategorical(eusilcS, eusilcP, w = "rb050", strata = "db040", 
    basic = basic, additional = c("pl030", "pb220a"))


###################################################
### chunk number 7:  eval=FALSE
###################################################
## #line 320 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
## abb <- c("B", "LA", "Vi", "C", "St", "UA", "Sa", "T", "Vo")
## nam <- c(rb090 = "Gender", db040 = "Region", hsize = "Household size")
## lab <- labeling_border(set_labels = list(db040 = abb), 
##     set_varnames = nam)
## spMosaic(c("rb090", "db040", "hsize"), "rb050", eusilcS, 
##     eusilcP, labeling = lab)


###################################################
### chunk number 8:  eval=FALSE
###################################################
## #line 335 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
## nam <- c(rb090 = "Gender", pl030 = "Economic status", 
##     pb220a = "Citizenship")
## lab <- labeling_border(abbreviate = c(FALSE, FALSE, TRUE), 
##     set_varnames = nam)
## spMosaic(c("rb090", "pl030", "pb220a"), "rb050", eusilcS, 
##     eusilcP, labeling = lab)


###################################################
### chunk number 9: 
###################################################
#line 347 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
abb <- c("B","LA","Vi","C","St","UA","Sa","T","Vo")
nam <- c(rb090="Gender", db040="Region", hsize="Household size")
lab <- labeling_border(set_labels=list(db040=abb), set_varnames=nam)
spMosaic(c("rb090", "db040", "hsize"), "rb050", eusilcS, eusilcP, labeling=lab)


###################################################
### chunk number 10: 
###################################################
#line 353 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
nam <- c(rb090="Gender", pl030="Economic status", pb220a="Citizenship")
lab <- labeling_border(abbreviate=c(FALSE, FALSE, TRUE), set_varnames=nam)
spMosaic(c("rb090", "pl030", "pb220a"), "rb050", eusilcS, eusilcP, labeling=lab)


###################################################
### chunk number 11: 
###################################################
#line 377 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
#<<eval=FALSE>>=
seedP <- .Random.seed
basic <- c(basic, "pl030", "pb220a")
eusilcMP <- simContinuous(eusilcS, eusilcP, w = "rb050", strata = "db040", 
    basic = basic, additional = "netIncome", upper = 200000, equidist = FALSE, 
    seed=seedP)
seedMP <- .Random.seed
eusilcTR <- simContinuous(eusilcS, eusilcP, w = "rb050", strata = "db040", 
    basic = basic, additional = "netIncome", method="lm", seed=seedP)
seedTR <- .Random.seed
eusilcTN <- simContinuous(eusilcS, eusilcP, w = "rb050", strata = "db040", 
    basic = basic, additional = "netIncome", method="lm", residuals=FALSE, 
    seed=seedP)
seedTN <- .Random.seed


###################################################
### chunk number 12: 
###################################################
#line 394 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
options(width=66)


###################################################
### chunk number 13:  eval=FALSE
###################################################
## #line 417 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
## subset <- which(eusilcS[, "netIncome"] > 0)
## q <- quantileWt(eusilcS[subset, "netIncome"], 
##     eusilcS[subset, "rb050"], probs = 0.99)
## listP <- list(MP=eusilcMP, TR=eusilcTR, TN=eusilcTN)
## spCdfplot("netIncome", "rb050", dataS=eusilcS, dataP=listP, xlim=c(0, q))
## spBwplot("netIncome", "rb050", dataS=eusilcS, dataP=listP, pch="|")


###################################################
### chunk number 14: 
###################################################
#line 429 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
subset <- which(eusilcS[, "netIncome"] > 0)
q <- quantileWt(eusilcS[subset, "netIncome"], eusilcS[subset, "rb050"], 
    probs=0.99)
listP <- list(MP=eusilcMP, TR=eusilcTR, TN=eusilcTN)


###################################################
### chunk number 15: 
###################################################
#line 435 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spCdfplot("netIncome", "rb050", dataS=eusilcS, dataP=listP, xlim=c(0, q)))


###################################################
### chunk number 16: 
###################################################
#line 438 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot("netIncome", "rb050", dataS=eusilcS, dataP=listP, pch="|"))


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #line 459 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
## spBwplot("netIncome", "rb050", "rb090", dataS=eusilcS, 
##     dataP=listP, pch="|", layout=c(1,2))
## spBwplot("netIncome", "rb050", "pb220a", dataS=eusilcS, 
##     dataP=listP, pch="|", layout=c(1,3))
## spBwplot("netIncome", "rb050", "db040", dataS=eusilcS, 
##     dataP=listP, pch="|", layout=c(1,9))
## spBwplot("netIncome", "rb050", "pl030", dataS=eusilcS, 
##     dataP=listP, pch="|", layout=c(1,7))


###################################################
### chunk number 18: 
###################################################
#line 473 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot("netIncome", "rb050", "rb090", dataS=eusilcS, 
    dataP=listP, pch="|", layout=c(1,2)))


###################################################
### chunk number 19: 
###################################################
#line 477 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot("netIncome", "rb050", "pb220a", dataS=eusilcS, 
    dataP=listP, pch="|", layout=c(1,3)))


###################################################
### chunk number 20: 
###################################################
#line 481 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot("netIncome", "rb050", "db040", dataS=eusilcS, 
    dataP=listP, pch="|", layout=c(1,9)))


###################################################
### chunk number 21: 
###################################################
#line 485 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot("netIncome", "rb050", "pl030", dataS=eusilcS, 
    dataP=listP, pch="|", layout=c(1,7)))


###################################################
### chunk number 22: 
###################################################
#line 507 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
breaks <- getBreaks(eusilcS$netIncome, eusilcS$rb050, 
    upper = Inf, equidist = FALSE)
eusilcS$netIncomeCat <- getCat(eusilcS$netIncome, breaks)
eusilcMP$netIncomeCat <- getCat(eusilcMP$netIncome, breaks)
eusilcTR$netIncomeCat <- getCat(eusilcTR$netIncome, breaks)
eusilcTN$netIncomeCat <- getCat(eusilcTN$netIncome, breaks)


###################################################
### chunk number 23: 
###################################################
#line 524 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
#<<eval=FALSE>>=
components <- c("py010n", "py050n", "py090n", 
        "py100n", "py110n", "py120n", "py130n", "py140n")
eusilcMP <- simComponents(eusilcS, eusilcMP, w = "rb050", 
    total = "netIncome", components = components, 
    conditional = c("netIncomeCat", "pl030"), seed = seedMP)
eusilcTR <- simComponents(eusilcS, eusilcTR, w = "rb050", 
    total = "netIncome", components = components, 
    conditional = c("netIncomeCat", "pl030"), seed=seedTR)
eusilcTN <- simComponents(eusilcS, eusilcTN, w = "rb050", 
    total = "netIncome", components = components, 
    conditional = c("netIncomeCat", "pl030"), seed=seedTN)


###################################################
### chunk number 24:  eval=FALSE
###################################################
## #line 546 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
## listP <- list(MP=eusilcMP, TR=eusilcTR, TN=eusilcTN)
## spBwplot(components, "rb050", dataS=eusilcS, 
##     dataP=listP, pch="|", minRatio=0.2, layout=c(2,4))


###################################################
### chunk number 25: 
###################################################
#line 555 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
listP <- list(MP=eusilcMP, TR=eusilcTR, TN=eusilcTN)


###################################################
### chunk number 26: 
###################################################
#line 558 "d:/Rcompile/CRANpkg/local/2.12/simPopulation/inst/doc/simPopulation-eusilc.Rnw"
print(spBwplot(components, "rb050", dataS=eusilcS, 
    dataP=listP, pch="|", minRatio=0.2, layout=c(2,4)))


